Loading...
Searching...
No Matches
pappso::specpeptidoms::ScoreValues Class Reference

`#include <scorevalues.h>`

## Public Member Functions

| ScoreValues ()
| ScoreValues (const ScoreValues &other)
virtual | ~ScoreValues ()
const ScoreValues & | operator= (const ScoreValues &other)
int | get (ScoreType type) const

## Private Attributes

int | m_scoreTable [10]

## Detailed Description

Definition at line 28 of file scorevalues.h.

## Constructor & Destructor Documentation

## ScoreValues() [1/2]

pappso::specpeptidoms::ScoreValues::ScoreValues | ( |  | ) |

Definition at line 27 of file scorevalues.cpp.

{
m_scoreTable[(uint8_t)ScoreType::foundDouble] = 10;
m_scoreTable[(uint8_t)ScoreType::found] = 7;
m_scoreTable[(uint8_t)ScoreType::foundShiftDouble] = -6;
m_scoreTable[(uint8_t)ScoreType::foundShift] = -8;
m_scoreTable[(uint8_t)ScoreType::notFound] = -4;
m_scoreTable[(uint8_t)ScoreType::init] = -19;
}
pappso::specpeptidoms::ScoreValues::m_scoreTable
int m_scoreTable[10]
Definition scorevalues.h:41
pappso::specpeptidoms::ScoreType::foundDouble
@ foundDouble
Definition types.h:42
pappso::specpeptidoms::ScoreType::notFound
@ notFound
Definition types.h:46
pappso::specpeptidoms::ScoreType::found
@ found
Definition types.h:43
pappso::specpeptidoms::ScoreType::foundShift
@ foundShift
Definition types.h:45
pappso::specpeptidoms::ScoreType::foundShiftDouble
@ foundShiftDouble
Definition types.h:44
pappso::specpeptidoms::ScoreType::init
@ init
Definition types.h:47

References pappso::specpeptidoms::found, pappso::specpeptidoms::foundDouble, pappso::specpeptidoms::foundShift, pappso::specpeptidoms::foundShiftDouble, pappso::specpeptidoms::init, m_scoreTable, and pappso::specpeptidoms::notFound.

Referenced by ScoreValues(), and operator=().

## ScoreValues() [2/2]

pappso::specpeptidoms::ScoreValues::ScoreValues | ( | const ScoreValues & | other | ) |

Definition at line 37 of file scorevalues.cpp.

{
std::copy(other.m_scoreTable, other.m_scoreTable + 10, m_scoreTable);
}

References ScoreValues(), and m_scoreTable.

## ~ScoreValues()

pappso::specpeptidoms::ScoreValues::~ScoreValues | ( |  | ) |

virtual

Definition at line 42 of file scorevalues.cpp.

{
}

## Member Function Documentation

## get()

int pappso::specpeptidoms::ScoreValues::get | ( | ScoreType | type | ) | const

Definition at line 47 of file scorevalues.cpp.

{
return m_scoreTable[(std::uint8_t)type];
}

References m_scoreTable.

## operator=()

const ScoreValues & pappso::specpeptidoms::ScoreValues::operator= | ( | const ScoreValues & | other | ) |

Definition at line 53 of file scorevalues.cpp.

{
std::copy(other.m_scoreTable, other.m_scoreTable + 10, m_scoreTable);
return *this;
}

References ScoreValues(), and m_scoreTable.

## Member Data Documentation

## m_scoreTable

int pappso::specpeptidoms::ScoreValues::m_scoreTable[10]

private

Definition at line 41 of file scorevalues.h.

Referenced by ScoreValues(), ScoreValues(), get(), and operator=().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/specpeptidoms/scorevalues.h
- pappsomspp/core/processing/specpeptidoms/scorevalues.cpp